CobolConnectionManager (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.spi.CobolConnectionManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.spi
Class CobolConnectionManager

    java.lang.Object
      com.microfocus.cobol.connector.spi.CobolConnectionManager

All Implemented Interfaces:
  ConnectionManager, Serializable

public class CobolConnectionManager
extends Object
implements ConnectionManager, Serializable

The default ConnectionManager implementation for the non-managed scenario This provieds a hook for a resource adapter to pass a connection request to an application server.

See Also:
  Serialized Form

Constructor Summary
`CobolConnectionManager(com.microfocus.cobol.connector.spi.ManagedConnectionPool.PoolParams poolParams, ManagedConnectionFactory mcf)` Create a CobolConnectionManager

Method Summary
`Object` | `allocateConnection(ManagedConnectionFactory mcf, ConnectionRequestInfo info)` Allocate a Connection
`int` | `getBlockingTimeout()` Get the blocking timeout
`int` | `getConnectionCount()` Get the connection count
`long` | `getIdleTimeout()` get idle timeout
`int` | `getMaxSize()` Get the minimum pool param size
`int` | `getMinSize()` Get the minimum pool param size
`void` | `setBlockingTimeout(int blockingTimeout)` Set Blocking Timeout
`void` | `setIdleTimeout(long idleTimeout)` Set idle timeout
`void` | `setMaxSize(int maxSize)` Set maximum pool param size
`void` | `setMinSize(int minSize)` Set minimum pool param size

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolConnectionManager

    public CobolConnectionManager(com.microfocus.cobol.connector.spi.ManagedConnectionPool.PoolParams poolParams,
                                  ManagedConnectionFactory mcf)

  Create a CobolConnectionManager

Parameters:
  `poolParams` - Pool Params
  `mcf` - Managed Connection Factory

Method Detail

### setMinSize

    public void setMinSize(int minSize)

  Set minimum pool param size

  Parameters:
    `minSize` - Minimum size

### getMinSize

    public int getMinSize()

  Get the minimum pool param size

  Returns:
    The minimum pool param size

### setMaxSize

    public void setMaxSize(int maxSize)

  Set maximum pool param size

  Parameters:
    `maxSize` - Maximum Size

### getMaxSize

    public int getMaxSize()

  Get the minimum pool param size

  Returns:
    The minimum pool param size

### setBlockingTimeout

    public void setBlockingTimeout(int blockingTimeout)

  Set Blocking Timeout

  Parameters:
    `blockingTimeout` - The Blocking timeout value

### getBlockingTimeout

    public int getBlockingTimeout()

  Get the blocking timeout

  Returns:
    The blocking timeout

### setIdleTimeout

    public void setIdleTimeout(long idleTimeout)

  Set idle timeout

  Parameters:
    `idleTimeout` - The idle timeout

### getIdleTimeout

    public long getIdleTimeout()

  get idle timeout

  Returns:
    The idle timeout

### allocateConnection

    public Object allocateConnection(ManagedConnectionFactory mcf,
                                     ConnectionRequestInfo info)
                              throws ResourceException

  Allocate a Connection

  Specified by:
    `allocateConnection` in interface `ConnectionManager`
  Parameters:
    `mcf` - Managed Connection Factory instance
    `info` - Connection Request Info instance
  Returns:
    CobolManagedConnection instance.
  Throws:
    `ResourceException`

### getConnectionCount

    public int getConnectionCount()

  Get the connection count

  Returns:
    The connection count

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.